Support » Plugin: WooCommerce Stripe Payment Gateway » Stripe API 2019-10-08

  • Resolved fox-didl

    (@fox-didl)


    Is the latest version compatible with the latest Stripe API 2019-10-08?

    2019-10-08
    The relationship[account_opener] field on a Person object has been renamed to relationship[representative].

    2019-09-09
    In the Accounts API, the requested_capabilities property is now required at creation time for accounts in Australia, Austria, Belgium, Denmark, Estonia, Finland, France, Germany, Greece, Ireland, Italy, Latvia, Lithuania, Luxembourg, the Netherlands, New Zealand, Norway, Poland, Portugal, Slovakia, Slovenia, Spain, Sweden, Switzerland, and the United Kingdom. See the Capabilities Overview for more information.

    Adds additional details_codes to the document verification hash.

    2019-08-14
    MajorThe platform_payments capability has been renamed to transfers, to better indicate the Stripe primitives that this capability supports.
    The card_payments capability has been updated to no longer imply transfers. You’ll now need to additionally request the transfers capability when creating an account.

    The relationship[executive] field on a Person object will no longer be automatically set to true when a Person object with relationship[account_opener] is created. The requirements hash on an Account object may require that you explicitly indicate that the account_opener is also an executive. If this is the case, you will need to indicate it by setting relationship[executive]=true.

    2019-05-16
    Bank pull payments no longer expose internal system refunds on failure.

Viewing 1 replies (of 1 total)
  • Howdy!

    The latest version of the plugin (4.3.0) is set for and was tested with Stripe API Version 2019-09-09.

Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this topic.